.features-3 {
    padding: 120px 0;
    position: relative;
    background: #F8F9FA;
}

.features-3 .content-wrapper {
    display: flex;
    flex-direction: column;
    gap: 64px;
}

.features-3 .block-title {
    text-align: center;
}

.features-3 .block-boxes {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
}

.features-3 .box-single {
    background-color: #fff;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 32px;
    width: calc(25% - 18px);
    text-align: center;
    justify-content: center;
    font-weight: 600;
    word-wrap: anywhere;
    font-family: 'Montserrat';
}

.features-3 .box-icon {
    color: #fff;
    width: 30px;
    min-width: 30px;
    max-width: 30px;
    aspect-ratio: 1;
    height: auto;
    margin: 0 auto;
}

.features-3 .box-text-inner {
    display: flex;
    flex-direction: column;
    gap: 4px;
    color: #303739;
}

.features-3 .box-text-inner p {
    font-size: 14px;
    font-weight: 500;
}

.features-3 .box-text-inner p.box-subtitle {
    font-size: 16px;
    font-weight: 600;
}

.features-3 ul {
    padding: 0;
    margin: 0;
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.features-3 ul li {
    opacity: 0.8;
    color: #3C4446;
    font-size: 14px;
    font-weight: 500;
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 26px;
}

.features-3 ul li::before {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 18px;
    height: auto;
    aspect-ratio: 1;
    background-image: url(../../assets/images/list-check.svg);
    background-repeat: no-repeat;
    background-size: cover;
}

.features-3 .contact-box {
    border-radius: 8px;
    background: #FFF;
    padding: 32px;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.features-3 .box-data {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 32px;
    font-weight: 600;
    opacity: 0.8;
}

@media (max-width:1199px) {
    .features-3 {
        padding: 64px 0;
        background-image: none;
    }

    .features-3 .content-wrapper {
        gap: 32px;
    }
}

@media (max-width:991px) {
    .features-3 .box-single {
        width: calc(50% - 8px);
        padding: 16px;
    }

    .features-3 .block-boxes {
        gap: 16px;
    }

    .features-3 .contact-box {
        padding: 16px;
    }

    .features-3 .contact-box .box-title h3 {
        font-size: 16px;
        color: #303739;
    }

    .features-3 .box-data {
        font-size: 14px;
    }

    .features-3 .contact-box .box-description {
        font-size: 12px;
    }
}

@media (max-width:679px) {
    .features-3 .box-single {
        width: 100%;
    }
}